Error when loading CT data

Hi,

when I try to load a dual-energy CT virtual non contrast series, I get the error

‘Reference image in series does not contain geometry information’.

I know that these series do not contain the same geometry information as regular series (e.g. you cannot co-register them correctly with a regular CT series of the same scan in PACS), but they should load and allow ROI measurements as they are not just secondary captures. Is there any way to get them to load? DICOM patcher did not work.

Anonymized test series: https://drive.google.com/open?id=19aUvDyDyIhYexWw6M0KngGnCFy0Hy35T

Error log:

Blockquote
[INFO][Python] 08.04.2020 06:51:09 [Python] (C:/Users/AG/AppData/Local/NA-MIC/Slicer 4.11.0-2020-03-01/bin/…/lib/Slicer-4.11/qt-scripted-modules/DICOMScalarVolumePlugin.py:318) - Loading with imageIOName: GDCM
[ERROR][Python] 08.04.2020 06:51:09 [Python] (C:/Users/AG/AppData/Local/NA-MIC/Slicer 4.11.0-2020-03-01/bin/…/lib/Slicer-4.11/qt-scripted-modules/DICOMScalarVolumePlugin.py:324) - Could not read scalar volume using GDCM approach. Error is: FileFormatError
[INFO][Python] 08.04.2020 06:51:09 [Python] (C:/Users/AG/AppData/Local/NA-MIC/Slicer 4.11.0-2020-03-01/bin/…/lib/Slicer-4.11/qt-scripted-modules/DICOMScalarVolumePlugin.py:318) - Loading with imageIOName: DCMTK
[ERROR][Python] 08.04.2020 06:51:09 [Python] (C:/Users/AG/AppData/Local/NA-MIC/Slicer 4.11.0-2020-03-01/bin/…/lib/Slicer-4.11/qt-scripted-modules/DICOMScalarVolumePlugin.py:324) - Could not read scalar volume using DCMTK approach. Error is: FileFormatError
[ERROR][Python] 08.04.2020 06:51:09 [Python] (C:\Users\AG\AppData\Local\NA-MIC\Slicer 4.11.0-2020-03-01\lib\Slicer-4.11\qt-scripted-modules\DICOMLib\DICOMUtils.py:656) - DICOM plugin failed to load ’ - as a 85 frames MultiVolume by ImagePositionPatient+AcquisitionTime’ as a ‘MultiVolume’.
Traceback (most recent call last):
File “C:/Users/AG/AppData/Local/NA-MIC/Slicer 4.11.0-2020-03-01/bin/…/lib/Slicer-4.11/qt-scripted-modules/MultiVolumeImporterPlugin.py”, line 620, in load
if frame.GetImageData() == None:
AttributeError: ‘NoneType’ object has no attribute ‘GetImageData’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\AG\AppData\Local\NA-MIC\Slicer 4.11.0-2020-03-01\lib\Slicer-4.11\qt-scripted-modules\DICOMLib\DICOMUtils.py”, line 650, in loadLoadables
loadSuccess = plugin.load(loadable)
File “C:/Users/AG/AppData/Local/NA-MIC/Slicer 4.11.0-2020-03-01/bin/…/lib/Slicer-4.11/qt-scripted-modules/MultiVolumeImporterPlugin.py”, line 729, in load
logging.error(“Failed to read a multivolume: {0}”.format(e.message))
AttributeError: ‘AttributeError’ object has no attribute ‘message’
[WARNING][Python] 08.04.2020 06:51:09 [Python] (C:\Users\AG\AppData\Local\NA-MIC\Slicer 4.11.0-2020-03-01\bin\Python\slicer\util.py:1567) - Could not load: - as a 85 frames MultiVolume by ImagePositionPatient+AcquisitionTime as a MultiVolume
[INFO][Stream] 08.04.2020 06:51:09 [] (unknown:0) - Loading with imageIOName: GDCM
[ERROR][VTK] 08.04.2020 06:51:09 [vtkITKArchetypeImageSeriesScalarReader (000001E985EA26C0)] (D:\D\P\Slicer-0\Libs\vtkITK\vtkITKArchetypeImageSeriesScalarReader.cxx:228) - UpdateFromFile: Unsupported number of components (only 1 allowed): 3
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - Could not read scalar volume using GDCM approach. Error is: FileFormatError
[INFO][Stream] 08.04.2020 06:51:09 [] (unknown:0) - Loading with imageIOName: DCMTK
[ERROR][VTK] 08.04.2020 06:51:09 [vtkITKArchetypeImageSeriesScalarReader (000001E985E9F400)] (D:\D\P\Slicer-0\Libs\vtkITK\vtkITKArchetypeImageSeriesScalarReader.cxx:228) - UpdateFromFile: Unsupported number of components (only 1 allowed): 3
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - Could not read scalar volume using DCMTK approach. Error is: FileFormatError
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - DICOM plugin failed to load ’ - as a 85 frames MultiVolume by ImagePositionPatient+AcquisitionTime’ as a ‘MultiVolume’.
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - Traceback (most recent call last):
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - File “C:/Users/AG/AppData/Local/NA-MIC/Slicer 4.11.0-2020-03-01/bin/…/lib/Slicer-4.11/qt-scripted-modules/MultiVolumeImporterPlugin.py”, line 620, in load
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - if frame.GetImageData() == None:
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - AttributeError: ‘NoneType’ object has no attribute ‘GetImageData’
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) -
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - During handling of the above exception, another exception occurred:
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) -
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - Traceback (most recent call last):
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - File “C:\Users\AG\AppData\Local\NA-MIC\Slicer 4.11.0-2020-03-01\lib\Slicer-4.11\qt-scripted-modules\DICOMLib\DICOMUtils.py”, line 650, in loadLoadables
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - loadSuccess = plugin.load(loadable)
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - File “C:/Users/AG/AppData/Local/NA-MIC/Slicer 4.11.0-2020-03-01/bin/…/lib/Slicer-4.11/qt-scripted-modules/MultiVolumeImporterPlugin.py”, line 729, in load
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - logging.error(“Failed to read a multivolume: {0}”.format(e.message))
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - AttributeError: ‘AttributeError’ object has no attribute ‘message’
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) -
[CRITICAL][Stream] 08.04.2020 06:51:09 [] (unknown:0) - Could not load: - as a 85 frames MultiVolume by ImagePositionPatient+AcquisitionTime as a MultiVolume

Blockquote

Thank you so much!

The error message is accurate, there is no geometry information in the image. Required ImagePositionPatient, ImageOrientationPatient tags are missing, therefore you cannot load these frames as a 3D volume.

Thank you very much for checking. Will get back to the vendor and ask if there might be a way to export the series with the corresponding tags.